#-------------------------------------------------
#
# Project created by QtCreator 2019-04-10T23:15:55
#
#-------------------------------------------------

QT       += core gui
QT += network
QT += core network concurrent
QT += axcontainer


greaterThan(QT_MAJOR_VERSION, 4): QT += widgets multimedia multimediawidgets network

#TARGET = LedOK
TARGET = $$quote(Xanadu Express)
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
    LoQClass/extendedgroupbox.cpp \
    LoQClass/locolorselector.cpp \
    LoQClass/lodateselector.cpp \
    LoQClass/loglwindow.cpp \
    LoQClass/loqgraphicsobject.cpp \
    LoQClass/loqgraphicsvideoitem.cpp \
    LoQClass/loqheaderviewcheckbox.cpp \
    LoQClass/loqlineedit.cpp \
    LoQClass/loqtreewidget.cpp \
    LoQClass/loqvideosurface.cpp \
    LoQClass/qexcel.cpp \
    LoQClass/readexcel.cpp \
    LoUIClass/aboutdlg.cpp \
    LoUIClass/customprogressindicator.cpp \
    LoUIClass/loemptydialog.cpp \
    LoUIClass/louimsgboxokcancel.cpp \
    LoUIClass/qiplineedit.cpp \
    LoUIClass/switchcontrol.cpp \
    LoUIClass/x_spinboxdelegate.cpp \
    LoUIClass/x_timeeditdelegate.cpp \
    LoUIClass/x_uimsgboxok.cpp \
    LoUIClass/x_uimsgboxokcancel.cpp \
    LoUIClass/x_uimsgboxyesnocancel.cpp \
    backup/mprogrammanager.cpp \
    communication/hpptclient.cpp \
    communication/network.cpp \
    globaldefine.cpp \
    importbninprogramdlg.cpp \
    jsondecoderloop.cpp \
    loappconfig.cpp \
    loapptools.cpp \
    main.cpp \
    mainwindow.cpp \
    mdevicemanager.cpp \
    mdevicesetting.cpp \
    mprogrammanagera.cpp \
    mtitlebar.cpp \
    mtabwidget.cpp \
    mprogrammanager.cpp \
    publishform.cpp \
    switchcontrol.cpp \
    tipdialog.cpp \
    wDevicesManager/controlbrightnessautowidget.cpp \
    wDevicesManager/controlbrightnessmanualwidget.cpp \
    wDevicesManager/controlbrightnessschedule.cpp \
    wDevicesManager/controlbrightnessscheduleedit.cpp \
    wDevicesManager/controlbrightnesswidget.cpp \
    wDevicesManager/controlencryptwidget.cpp \
    wDevicesManager/controlhdmimanual.cpp \
    wDevicesManager/controlhdmischedule.cpp \
    wDevicesManager/controlhdmiwidget.cpp \
    wDevicesManager/controlnetconfigwidget.cpp \
    wDevicesManager/controlpowermanual.cpp \
    wDevicesManager/controlpowerschedule.cpp \
    wDevicesManager/controlpowerwidget.cpp \
    wDevicesManager/controlverifyclockwidget.cpp \
    wDevicesManager/devicescontrollwidget.cpp \
    wDevicesManager/inputpassworddialog.cpp \
    wDevicesManager/ledcard.cpp \
    wDevicesManager/specialdlg.cpp \
    wDevicesManager/subspecifyip.cpp \
    wDevicesManager/subspecifyiprange.cpp \
    wDevicesManager/wdevicesitem.cpp \
    wProgramManager/mconverter.cpp \
    wProgramManager/sendprogramdialog.cpp \
    wProgramManager/threadsendpro.cpp \
    wProgramManager/usbdiskfuncdialog.cpp \
    wProgramManager/wEditProgram/wElement/backup/etext.cpp \
    wProgramManager/wEditProgram/wElement/eaclock.cpp \
    wProgramManager/wEditProgram/wElement/eaclockattr.cpp \
    wProgramManager/wEditProgram/wElement/eattr.cpp \
    wProgramManager/wEditProgram/wElement/edclock.cpp \
    wProgramManager/wEditProgram/wElement/edclockattr.cpp \
    wProgramManager/wEditProgram/wElement/egif.cpp \
    wProgramManager/wEditProgram/wElement/egifattr.cpp \
    wProgramManager/wEditProgram/wElement/emovie.cpp \
    wProgramManager/wEditProgram/wElement/emovieattr.cpp \
    wProgramManager/wEditProgram/wElement/eobject.cpp \
    wProgramManager/wEditProgram/wElement/eobjectattr.cpp \
    wProgramManager/wEditProgram/wElement/ephoto.cpp \
    wProgramManager/wEditProgram/wElement/ephotoattr.cpp \
    wProgramManager/wEditProgram/wElement/etemp.cpp \
    wProgramManager/wEditProgram/wElement/etempattr.cpp \
    wProgramManager/wEditProgram/wElement/etext.cpp \
    wProgramManager/wEditProgram/wElement/etextattr.cpp \
    wProgramManager/wEditProgram/wElement/etextflipattr.cpp \
    wProgramManager/wEditProgram/wElement/etextinput.cpp \
    wProgramManager/wEditProgram/wElement/etextscrollattr.cpp \
    wProgramManager/wEditProgram/wElement/etextstaticattr.cpp \
    wProgramManager/wEditProgram/wElement/etimer.cpp \
    wProgramManager/wEditProgram/wElement/etimerattr.cpp \
    wProgramManager/wEditProgram/wElement/eweather.cpp \
    wProgramManager/wEditProgram/wElement/eweatherattr.cpp \
    wProgramManager/wEditProgram/wElement/ewindow.cpp \
    wProgramManager/wEditProgram/wElement/ewindowattr.cpp \
    wProgramManager/wEditProgram/wElement/fyxcircleprogress.cpp \
    wProgramManager/wEditProgram/wattrview.cpp \
    wProgramManager/wEditProgram/wpageattr.cpp \
    wProgramManager/wEditProgram/wpageitem.cpp \
    wProgramManager/wEditProgram/wpageitemwidget.cpp \
    wProgramManager/wEditProgram/wplanitem.cpp \
    wProgramManager/wEditProgram/wplanlist.cpp \
    wProgramManager/wnewprogram.cpp \
    LoQClass/loqdialog.cpp \
    LoQClass/loqpushbutton.cpp \
    wProgramManager/weditprogram.cpp \
    LoQClass/loqmainwindow.cpp \
    LoQClass/loqtitlebar.cpp \
    LoQClass/loqwindowtitlebar.cpp \
    wProgramManager/wEditProgram/wmaintoolbar.cpp \
    wProgramManager/wEditProgram/wpagelist.cpp \
    wProgramManager/wEditProgram/wdrawingboard.cpp \
    wProgramManager/wprogramitem.cpp \
    wProgramManager/wprogrampublishitem.cpp \
    wProgramManagerA/wprogramitema.cpp

HEADERS += \
    LoQClass/extendedgroupbox.h \
    LoQClass/locolorselector.h \
    LoQClass/lodateselector.h \
    LoQClass/loglwindow.h \
    LoQClass/loqgraphicsobject.h \
    LoQClass/loqgraphicsvideoitem.h \
    LoQClass/loqheaderviewcheckbox.h \
    LoQClass/loqlineedit.h \
    LoQClass/loqmacro.h \
    LoQClass/loqtreewidget.h \
    LoQClass/loqvideosurface.h \
    LoQClass/qexcel.h \
    LoQClass/readexcel.h \
    LoUIClass/aboutdlg.h \
    LoUIClass/customprogressindicator.h \
    LoUIClass/loemptydialog.h \
    LoUIClass/louimsgboxok.h \
    LoUIClass/louimsgboxokcancel.h \
    LoUIClass/qiplineedit.h \
    LoUIClass/switchcontrol.h \
    LoUIClass/x_spinboxdelegate.h \
    LoUIClass/x_timeeditdelegate.h \
    LoUIClass/x_uimsgboxok.h \
    LoUIClass/x_uimsgboxokcancel.h \
    LoUIClass/x_uimsgboxyesnocancel.h \
    backup/mprogrammanager.h \
    communication/hpptclient - 副本.h \
    communication/hpptclient.h \
    communication/network.h \
    globaldefine.h \
    importbninprogramdlg.h \
    include/JlCompress.h \
    include/ioapi.h \
    include/minizip_crypt.h \
    include/quaadler32.h \
    include/quachecksum32.h \
    include/quacrc32.h \
    include/quagzipfile.h \
    include/quaziodevice.h \
    include/quazip.h \
    include/quazip_global.h \
    include/quazipdir.h \
    include/quazipfile.h \
    include/quazipfileinfo.h \
    include/quazipnewinfo.h \
    include/unzip.h \
    include/zconf.h \
    include/zip.h \
    include/zlib.h \
    jsondecoderloop.h \
    loappconfig.h \
    loapptools.h \
    mainwindow.h \
    mdevicemanager.h \
    mdevicesetting.h \
    mprogrammanagera.h \
    mtitlebar.h \
    mtabwidget.h \
    mprogrammanager.h \
    publishform.h \
    sdl/include/SDL.h \
    sdl/include/SDL_assert.h \
    sdl/include/SDL_atomic.h \
    sdl/include/SDL_audio.h \
    sdl/include/SDL_bits.h \
    sdl/include/SDL_blendmode.h \
    sdl/include/SDL_clipboard.h \
    sdl/include/SDL_config.h \
    sdl/include/SDL_cpuinfo.h \
    sdl/include/SDL_egl.h \
    sdl/include/SDL_endian.h \
    sdl/include/SDL_error.h \
    sdl/include/SDL_events.h \
    sdl/include/SDL_filesystem.h \
    sdl/include/SDL_gamecontroller.h \
    sdl/include/SDL_gesture.h \
    sdl/include/SDL_haptic.h \
    sdl/include/SDL_hints.h \
    sdl/include/SDL_joystick.h \
    sdl/include/SDL_keyboard.h \
    sdl/include/SDL_keycode.h \
    sdl/include/SDL_loadso.h \
    sdl/include/SDL_log.h \
    sdl/include/SDL_main.h \
    sdl/include/SDL_messagebox.h \
    sdl/include/SDL_metal.h \
    sdl/include/SDL_mouse.h \
    sdl/include/SDL_mutex.h \
    sdl/include/SDL_name.h \
    sdl/include/SDL_opengl.h \
    sdl/include/SDL_opengl_glext.h \
    sdl/include/SDL_opengles.h \
    sdl/include/SDL_opengles2.h \
    sdl/include/SDL_opengles2_gl2.h \
    sdl/include/SDL_opengles2_gl2ext.h \
    sdl/include/SDL_opengles2_gl2platform.h \
    sdl/include/SDL_opengles2_khrplatform.h \
    sdl/include/SDL_pixels.h \
    sdl/include/SDL_platform.h \
    sdl/include/SDL_power.h \
    sdl/include/SDL_quit.h \
    sdl/include/SDL_rect.h \
    sdl/include/SDL_render.h \
    sdl/include/SDL_revision.h \
    sdl/include/SDL_rwops.h \
    sdl/include/SDL_scancode.h \
    sdl/include/SDL_sensor.h \
    sdl/include/SDL_shape.h \
    sdl/include/SDL_stdinc.h \
    sdl/include/SDL_surface.h \
    sdl/include/SDL_system.h \
    sdl/include/SDL_syswm.h \
    sdl/include/SDL_test.h \
    sdl/include/SDL_test_assert.h \
    sdl/include/SDL_test_common.h \
    sdl/include/SDL_test_compare.h \
    sdl/include/SDL_test_crc32.h \
    sdl/include/SDL_test_font.h \
    sdl/include/SDL_test_fuzzer.h \
    sdl/include/SDL_test_harness.h \
    sdl/include/SDL_test_images.h \
    sdl/include/SDL_test_log.h \
    sdl/include/SDL_test_md5.h \
    sdl/include/SDL_test_memory.h \
    sdl/include/SDL_test_random.h \
    sdl/include/SDL_thread.h \
    sdl/include/SDL_timer.h \
    sdl/include/SDL_touch.h \
    sdl/include/SDL_types.h \
    sdl/include/SDL_version.h \
    sdl/include/SDL_video.h \
    sdl/include/SDL_vulkan.h \
    sdl/include/begin_code.h \
    sdl/include/close_code.h \
    switchcontrol.h \
    tipdialog.h \
    wDevicesManager/controlbrightnessautowidget.h \
    wDevicesManager/controlbrightnessmanualwidget.h \
    wDevicesManager/controlbrightnessschedule.h \
    wDevicesManager/controlbrightnessscheduleedit.h \
    wDevicesManager/controlbrightnesswidget.h \
    wDevicesManager/controlencryptwidget.h \
    wDevicesManager/controlhdmimanual.h \
    wDevicesManager/controlhdmischedule.h \
    wDevicesManager/controlhdmiwidget.h \
    wDevicesManager/controlnetconfigwidget.h \
    wDevicesManager/controlpowermanual.h \
    wDevicesManager/controlpowerschedule.h \
    wDevicesManager/controlpowerwidget.h \
    wDevicesManager/controlverifyclockwidget.h \
    wDevicesManager/devicescontrollwidget.h \
    wDevicesManager/inputpassworddialog.h \
    wDevicesManager/ledcard.h \
    wDevicesManager/specialdlg.h \
    wDevicesManager/subspecifyip.h \
    wDevicesManager/subspecifyiprange.h \
    wDevicesManager/wdevicesitem.h \
    wProgramManager/mconverter.h \
    wProgramManager/sendprogramdialog.h \
    wProgramManager/threadsendpro.h \
    wProgramManager/usbdiskfuncdialog.h \
    wProgramManager/wEditProgram/wElement/backup/etext.h \
    wProgramManager/wEditProgram/wElement/eaclock.h \
    wProgramManager/wEditProgram/wElement/eaclockattr.h \
    wProgramManager/wEditProgram/wElement/eattr.h \
    wProgramManager/wEditProgram/wElement/edclock.h \
    wProgramManager/wEditProgram/wElement/edclockattr.h \
    wProgramManager/wEditProgram/wElement/egif.h \
    wProgramManager/wEditProgram/wElement/egifattr.h \
    wProgramManager/wEditProgram/wElement/emovie.h \
    wProgramManager/wEditProgram/wElement/emovieattr.h \
    wProgramManager/wEditProgram/wElement/eobject.h \
    wProgramManager/wEditProgram/wElement/eobjectattr.h \
    wProgramManager/wEditProgram/wElement/ephoto.h \
    wProgramManager/wEditProgram/wElement/ephotoattr.h \
    wProgramManager/wEditProgram/wElement/etemp.h \
    wProgramManager/wEditProgram/wElement/etempattr.h \
    wProgramManager/wEditProgram/wElement/etext.h \
    wProgramManager/wEditProgram/wElement/etextattr.h \
    wProgramManager/wEditProgram/wElement/etextflipattr.h \
    wProgramManager/wEditProgram/wElement/etextinput.h \
    wProgramManager/wEditProgram/wElement/etextscrollattr.h \
    wProgramManager/wEditProgram/wElement/etextstaticattr.h \
    wProgramManager/wEditProgram/wElement/etimer.h \
    wProgramManager/wEditProgram/wElement/etimerattr.h \
    wProgramManager/wEditProgram/wElement/eweather.h \
    wProgramManager/wEditProgram/wElement/eweatherattr.h \
    wProgramManager/wEditProgram/wElement/ewindow.h \
    wProgramManager/wEditProgram/wElement/ewindowattr.h \
    wProgramManager/wEditProgram/wElement/fyxcircleprogress.h \
    wProgramManager/wEditProgram/wattrview.h \
    wProgramManager/wEditProgram/wpageattr.h \
    wProgramManager/wEditProgram/wpageitem.h \
    wProgramManager/wEditProgram/wpageitemwidget.h \
    wProgramManager/wEditProgram/wplanitem.h \
    wProgramManager/wEditProgram/wplanlist.h \
    wProgramManager/wnewprogram.h \
    LoQClass/loqdialog.h \
    LoQClass/loqpushbutton.h \
    wProgramManager/weditprogram.h \
    LoQClass/loqmainwindow.h \
    LoQClass/loqtitlebar.h \
    LoQClass/loqwindowtitlebar.h \
    wProgramManager/wEditProgram/wmaintoolbar.h \
    wProgramManager/wEditProgram/wpagelist.h \
    wProgramManager/wEditProgram/wdrawingboard.h \
    wProgramManager/wprogramitem.h \
    wProgramManager/wprogrampublishitem.h \
    wProgramManagerA/wprogramitema.h

FORMS += \
    LoUIClass/aboutdlg.ui \
    LoUIClass/loemptydialog.ui \
    LoUIClass/louimsgboxokcancel.ui \
    LoUIClass/x_uimsgboxok.ui \
    LoUIClass/x_uimsgboxokcancel.ui \
    LoUIClass/x_uimsgboxyesnocancel.ui \
    mainwindow.ui \
    mdevicemanager.ui \
    mdevicesetting.ui \
    mprogrammanager.ui \
    mprogrammanagera.ui \
    publishform.ui \
    tipdialog.ui \
    wDevicesManager/controlbrightnessautowidget.ui \
    wDevicesManager/controlbrightnessmanualwidget.ui \
    wDevicesManager/controlbrightnessschedule.ui \
    wDevicesManager/controlbrightnessscheduleedit.ui \
    wDevicesManager/controlbrightnesswidget.ui \
    wDevicesManager/controlencryptwidget.ui \
    wDevicesManager/controlhdmimanual.ui \
    wDevicesManager/controlhdmischedule.ui \
    wDevicesManager/controlhdmiwidget.ui \
    wDevicesManager/controlnetconfigwidget.ui \
    wDevicesManager/controlpowermanual.ui \
    wDevicesManager/controlpowerschedule.ui \
    wDevicesManager/controlpowerwidget.ui \
    wDevicesManager/controlverifyclockwidget.ui \
    wDevicesManager/devicescontrollwidget.ui \
    wDevicesManager/inputpassworddialog.ui \
    wDevicesManager/specialdlg.ui \
    wDevicesManager/subspecifyip.ui \
    wDevicesManager/subspecifyiprange.ui \
    wProgramManager/sendprogramdialog.ui \
    wProgramManager/usbdiskfuncdialog.ui \
    wProgramManager/wEditProgram/wElement/eaclockattr.ui \
    wProgramManager/wEditProgram/wElement/edclockattr.ui \
    wProgramManager/wEditProgram/wElement/egifattr.ui \
    wProgramManager/wEditProgram/wElement/emovieattr.ui \
    wProgramManager/wEditProgram/wElement/eobjectattr.ui \
    wProgramManager/wEditProgram/wElement/ephotoattr.ui \
    wProgramManager/wEditProgram/wElement/etempattr.ui \
    wProgramManager/wEditProgram/wElement/etextattr.ui \
    wProgramManager/wEditProgram/wElement/etextflipattr.ui \
    wProgramManager/wEditProgram/wElement/etextinput.ui \
    wProgramManager/wEditProgram/wElement/etextscrollattr.ui \
    wProgramManager/wEditProgram/wElement/etextstaticattr.ui \
    wProgramManager/wEditProgram/wElement/etimerattr.ui \
    wProgramManager/wEditProgram/wElement/eweatherattr.ui \
    wProgramManager/wEditProgram/wElement/ewindowattr.ui \
    wProgramManager/wEditProgram/wattrview.ui \
    wProgramManager/wEditProgram/wpageattr.ui \
    wProgramManager/wEditProgram/wpageitemwidget.ui \
    wProgramManager/wEditProgram/wplanitem.ui \
    wProgramManager/wnewprogram.ui \
    wProgramManager/weditprogram.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    qss/MainWnd.css \
    qss/MainTab.css \
    qss/TabDeviceManager.css \
    qss/TabProgramManager.css \
    qss/TabPMEditProgram.css \
    res/Logo.ico

RESOURCES += \
    icons.qrc \
    images.qrc \
    languages.qrc \
    qss.qrc

TRANSLATIONS += Languages/zhCN.ts Languages/enUS.ts Languages/jaJP.ts

#DEFINES += QT_NO_CAST_FROM_ASCII
win32:RC_ICONS = res/Logo.ico
osx:ICON = res/Logo.icns

INCLUDEPATH += $$PWD/include

CONFIG(debug, debug|release) {
    LIBS += -L$$PWD/lib -lquazipd
} else {
    LIBS += -L$$PWD/lib -lquazip
}

win32 {
INCLUDEPATH += $$PWD/ffmpeg-4.2.2-win32-dev/include
LIBS += $$PWD/ffmpeg-4.2.2-win32-dev/lib/avformat.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avcodec.lib    \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avdevice.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avfilter.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avutil.lib     \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/postproc.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/swresample.lib \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/swscale.lib
}

include(./JQLibrary/JQLibrary.pri)

#INCLUDEPATH +="G:\Dev\QT\LedOK-master\LedOK-master\ffmpeg\include"
#INCLUDEPATH +="G:\Dev\QT\LedOK-master\LedOK-master\sdl\include"

#LIBS += -Lffmpeg/Lib/ffmpeg/lib -lavutil -lavformat -lavcodec -lavdevice -lavfilter -lpostproc -lswresample -lswscale
#LIBS += -LG:\Dev\QT\LedOK-master\LedOK-master\ffmpeg\lib -lavutil -lavformat -lavcodec -lavdevice -lavfilter -lpostproc -lswresample -lswscale
#LIBS += -LG:\Dev\QT\LedOK-master\LedOK-master\sdl\lib -lSDL2

SUBDIRS += \
