#-------------------------------------------------
#
# Project created by QtCreator 2019-04-10T23:15:55
#
#-------------------------------------------------
VERSION = 1.1.46
DEFINES += APP_VERSION=\\\"$$VERSION\\\"
QT       += core gui
QT += network
QT += core network concurrent
#QT += axcontainer
QT += xlsx
QT       += serialport
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets multimedia multimediawidgets network

#TARGET = LedOK
TARGET = $$quote(LedOK Express)
TEMPLATE = app
# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.

DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11
#CONFIG += qaxcontainer
SOURCES += \
    ColorDialog/BasicColorArea.cpp \
    ColorDialog/BasicColorItem.cpp \
    ColorDialog/ColorDialog.cpp \
    ColorDialog/CustomColorArea.cpp \
    ColorDialog/HColorArea.cpp \
    ColorDialog/PreviewColorArea.cpp \
    ColorDialog/SVColorArea.cpp \
    LoQClass/extendedgroupbox.cpp \
    LoQClass/locolorselector.cpp \
    LoQClass/lodateselector.cpp \
    LoQClass/loglwindow.cpp \
    LoQClass/loqgraphicsvideoitem.cpp \
    LoQClass/loqgraphicsview.cpp \
    LoQClass/loqheaderviewcheckbox.cpp \
    LoQClass/loqlineedit.cpp \
    LoQClass/loqtreewidget.cpp \
    LoQClass/loqvideosurface.cpp \
    LoUIClass/aboutdlg.cpp \
    LoUIClass/changepasswordform.cpp \
    LoUIClass/customprogressindicator.cpp \
    LoUIClass/loemptydialog.cpp \
    LoUIClass/louimsgboxokcancel.cpp \
    LoUIClass/pixbmpshowdialog.cpp \
    LoUIClass/qiplineedit.cpp \
    LoUIClass/softconfigdialog.cpp \
    LoUIClass/switchcontrol.cpp \
    LoUIClass/taesclass.cpp \
    LoUIClass/updateledset3dialog.cpp \
    LoUIClass/updaterdialog.cpp \
    LoUIClass/updaterfirmwaredialog.cpp \
    LoUIClass/x_checkboxdelegate.cpp \
    LoUIClass/x_spinboxdelegate.cpp \
    LoUIClass/x_timeeditdelegate.cpp \
    LoUIClass/x_uimsgboxok.cpp \
    LoUIClass/x_uimsgboxokcancel.cpp \
    LoUIClass/x_uimsgboxonlyclosebtn.cpp \
    LoUIClass/x_uimsgboxyesnocancel.cpp \
    ccrashstack.cpp \
    communication/hpptclient.cpp \
    communication/network.cpp \
    communication/taserialthread.cpp \
    globaldefine.cpp \
    jsondecoderloop.cpp \
    loappconfig.cpp \
    loapptools.cpp \
    main.cpp \
    mainwindow.cpp \
    mdevicemanager.cpp \
    mdevicesetting.cpp \
    mguangyingpinwidget.cpp \
    mprogrammanagera.cpp \
    mtitlebar.cpp \
    mtabwidget.cpp \
    mprogrammanager.cpp \
    publishform.cpp \
    tipdialog.cpp \
    wDevicesManager/controladvparamwidget.cpp \
    wDevicesManager/controlbrightnessautowidget.cpp \
    wDevicesManager/controlbrightnessmanualwidget.cpp \
    wDevicesManager/controlbrightnessschedule.cpp \
    wDevicesManager/controlbrightnessscheduleedit.cpp \
    wDevicesManager/controlbrightnesswidget.cpp \
    wDevicesManager/controlencryptwidget.cpp \
    wDevicesManager/controlhdmimanual.cpp \
    wDevicesManager/controlhdmischedule.cpp \
    wDevicesManager/controlhdmiwidget.cpp \
    wDevicesManager/controlnetconfigwidget.cpp \
    wDevicesManager/controlpowermanual.cpp \
    wDevicesManager/controlpowerschedule.cpp \
    wDevicesManager/controlpowerwidget.cpp \
    wDevicesManager/controltestwidget.cpp \
    wDevicesManager/controlverifyclockwidget.cpp \
    wDevicesManager/controlvolumemanual.cpp \
    wDevicesManager/controlvolumeschedule.cpp \
    wDevicesManager/controlvolumewidget.cpp \
    wDevicesManager/devicescontrollwidget.cpp \
    wDevicesManager/inputpassworddialog.cpp \
    wDevicesManager/ledcard.cpp \
    wDevicesManager/specialdlg.cpp \
    wDevicesManager/subspecifyip.cpp \
    wDevicesManager/subspecifyiprange.cpp \
    wDevicesManager/threadupgradeapk.cpp \
    wDevicesManager/upgradeapkdialog.cpp \
    wDevicesManager/wdevicesitem.cpp \
    wDevicesManager/wupgradeapkitem.cpp \
    wProgramManager/mconverter.cpp \
    wProgramManager/sendprogramdialog.cpp \
    wProgramManager/threadexportprogrampro.cpp \
    wProgramManager/threadsendpro.cpp \
    wProgramManager/usbdetectdialog.cpp \
    wProgramManager/usbdiskfuncdialog.cpp \
    wProgramManager/wEditProgram/wElement/eaclock.cpp \
    wProgramManager/wEditProgram/wElement/eaclockattr.cpp \
    wProgramManager/wEditProgram/wElement/eattr.cpp \
    wProgramManager/wEditProgram/wElement/edclock.cpp \
    wProgramManager/wEditProgram/wElement/edclockattr.cpp \
    wProgramManager/wEditProgram/wElement/egif.cpp \
    wProgramManager/wEditProgram/wElement/egifattr.cpp \
    wProgramManager/wEditProgram/wElement/emovie.cpp \
    wProgramManager/wEditProgram/wElement/emovieattr.cpp \
    wProgramManager/wEditProgram/wElement/eobject.cpp \
    wProgramManager/wEditProgram/wElement/eobjectattr.cpp \
    wProgramManager/wEditProgram/wElement/ephoto.cpp \
    wProgramManager/wEditProgram/wElement/ephotoattr.cpp \
    wProgramManager/wEditProgram/wElement/etemp.cpp \
    wProgramManager/wEditProgram/wElement/etempattr.cpp \
    wProgramManager/wEditProgram/wElement/etext.cpp \
    wProgramManager/wEditProgram/wElement/etextattr.cpp \
    wProgramManager/wEditProgram/wElement/etextflipattr.cpp \
    wProgramManager/wEditProgram/wElement/etextinput.cpp \
    wProgramManager/wEditProgram/wElement/etextscrollattr.cpp \
    wProgramManager/wEditProgram/wElement/etextstaticattr.cpp \
    wProgramManager/wEditProgram/wElement/etimer.cpp \
    wProgramManager/wEditProgram/wElement/etimerattr.cpp \
    wProgramManager/wEditProgram/wElement/eweather.cpp \
    wProgramManager/wEditProgram/wElement/eweatherattr.cpp \
    wProgramManager/wEditProgram/wElement/ewindow.cpp \
    wProgramManager/wEditProgram/wElement/ewindowattr.cpp \
    wProgramManager/wEditProgram/wElement/fyxcircleprogress.cpp \
    wProgramManager/wEditProgram/wElement/imagecutwidget.cpp \
    wProgramManager/wEditProgram/wElement/qffwidget.cpp \
    wProgramManager/wEditProgram/wElement/videodec.cpp \
    wProgramManager/wEditProgram/wattrview.cpp \
    wProgramManager/wEditProgram/wpageattr.cpp \
    wProgramManager/wEditProgram/wpageitem.cpp \
    wProgramManager/wEditProgram/wpageitemwidget.cpp \
    wProgramManager/wEditProgram/wplanitem.cpp \
    wProgramManager/wEditProgram/wplanlist.cpp \
    wProgramManager/wexportprogramitem.cpp \
    wProgramManager/wnewprogram.cpp \
    LoQClass/loqdialog.cpp \
    LoQClass/loqpushbutton.cpp \
    wProgramManager/weditprogram.cpp \
    LoQClass/loqmainwindow.cpp \
    LoQClass/loqtitlebar.cpp \
    LoQClass/loqwindowtitlebar.cpp \
    wProgramManager/wEditProgram/wmaintoolbar.cpp \
    wProgramManager/wEditProgram/wpagelist.cpp \
    wProgramManager/wEditProgram/wdrawingboard.cpp \
    wProgramManager/wprogramitem.cpp \
    wProgramManager/wprogrampublishitem.cpp \
    wProgramManagerA/wprogramitema.cpp

HEADERS += \
    ColorDialog/BasicColorArea.h \
    ColorDialog/BasicColorItem.h \
    ColorDialog/ColorDialog.h \
    ColorDialog/CustomColorArea.h \
    ColorDialog/HColorArea.h \
    ColorDialog/PreviewColorArea.h \
    ColorDialog/SVColorArea.h \
    LoQClass/extendedgroupbox.h \
    LoQClass/locolorselector.h \
    LoQClass/lodateselector.h \
    LoQClass/loglwindow.h \
    LoQClass/loqgraphicsvideoitem.h \
    LoQClass/loqgraphicsview.h \
    LoQClass/loqheaderviewcheckbox.h \
    LoQClass/loqlineedit.h \
    LoQClass/loqmacro.h \
    LoQClass/loqtreewidget.h \
    LoQClass/loqvideosurface.h \
    LoUIClass/aboutdlg.h \
    LoUIClass/changepasswordform.h \
    LoUIClass/customprogressindicator.h \
    LoUIClass/loemptydialog.h \
    LoUIClass/louimsgboxokcancel.h \
    LoUIClass/pixbmpshowdialog.h \
    LoUIClass/qiplineedit.h \
    LoUIClass/softconfigdialog.h \
    LoUIClass/switchcontrol.h \
    LoUIClass/taesclass.h \
    LoUIClass/updateledset3dialog.h \
    LoUIClass/updaterdialog.h \
    LoUIClass/updaterfirmwaredialog.h \
    LoUIClass/x_checkboxdelegate.h \
    LoUIClass/x_spinboxdelegate.h \
    LoUIClass/x_timeeditdelegate.h \
    LoUIClass/x_uimsgboxok.h \
    LoUIClass/x_uimsgboxokcancel.h \
    LoUIClass/x_uimsgboxonlyclosebtn.h \
    LoUIClass/x_uimsgboxyesnocancel.h \
    ccrashstack.h \
    communication/hpptclient.h \
    communication/network.h \
    communication/taserialthread.h \
    globaldefine.h \
    jsondecoderloop.h \
    loappconfig.h \
    loapptools.h \
    mainwindow.h \
    mdevicemanager.h \
    mdevicesetting.h \
    mguangyingpinwidget.h \
    mprogrammanagera.h \
    mtitlebar.h \
    mtabwidget.h \
    mprogrammanager.h \
    publishform.h \
    tipdialog.h \
    wDevicesManager/controladvparamwidget.h \
    wDevicesManager/controlbrightnessautowidget.h \
    wDevicesManager/controlbrightnessmanualwidget.h \
    wDevicesManager/controlbrightnessschedule.h \
    wDevicesManager/controlbrightnessscheduleedit.h \
    wDevicesManager/controlbrightnesswidget.h \
    wDevicesManager/controlencryptwidget.h \
    wDevicesManager/controlhdmimanual.h \
    wDevicesManager/controlhdmischedule.h \
    wDevicesManager/controlhdmiwidget.h \
    wDevicesManager/controlnetconfigwidget.h \
    wDevicesManager/controlpowermanual.h \
    wDevicesManager/controlpowerschedule.h \
    wDevicesManager/controlpowerwidget.h \
    wDevicesManager/controltestwidget.h \
    wDevicesManager/controlverifyclockwidget.h \
    wDevicesManager/controlvolumemanual.h \
    wDevicesManager/controlvolumeschedule.h \
    wDevicesManager/controlvolumewidget.h \
    wDevicesManager/devicescontrollwidget.h \
    wDevicesManager/inputpassworddialog.h \
    wDevicesManager/ledcard.h \
    wDevicesManager/specialdlg.h \
    wDevicesManager/subspecifyip.h \
    wDevicesManager/subspecifyiprange.h \
    wDevicesManager/threadupgradeapk.h \
    wDevicesManager/upgradeapkdialog.h \
    wDevicesManager/wdevicesitem.h \
    wDevicesManager/wupgradeapkitem.h \
    wProgramManager/mconverter.h \
    wProgramManager/sendprogramdialog.h \
    wProgramManager/threadexportprogrampro.h \
    wProgramManager/threadsendpro.h \
    wProgramManager/usbdetectdialog.h \
    wProgramManager/usbdiskfuncdialog.h \
    wProgramManager/wEditProgram/wElement/eaclock.h \
    wProgramManager/wEditProgram/wElement/eaclockattr.h \
    wProgramManager/wEditProgram/wElement/eattr.h \
    wProgramManager/wEditProgram/wElement/edclock.h \
    wProgramManager/wEditProgram/wElement/edclockattr.h \
    wProgramManager/wEditProgram/wElement/egif.h \
    wProgramManager/wEditProgram/wElement/egifattr.h \
    wProgramManager/wEditProgram/wElement/emovie.h \
    wProgramManager/wEditProgram/wElement/emovieattr.h \
    wProgramManager/wEditProgram/wElement/eobject.h \
    wProgramManager/wEditProgram/wElement/eobjectattr.h \
    wProgramManager/wEditProgram/wElement/ephoto.h \
    wProgramManager/wEditProgram/wElement/ephotoattr.h \
    wProgramManager/wEditProgram/wElement/etemp.h \
    wProgramManager/wEditProgram/wElement/etempattr.h \
    wProgramManager/wEditProgram/wElement/etext.h \
    wProgramManager/wEditProgram/wElement/etextattr.h \
    wProgramManager/wEditProgram/wElement/etextflipattr.h \
    wProgramManager/wEditProgram/wElement/etextinput.h \
    wProgramManager/wEditProgram/wElement/etextscrollattr.h \
    wProgramManager/wEditProgram/wElement/etextstaticattr.h \
    wProgramManager/wEditProgram/wElement/etimer.h \
    wProgramManager/wEditProgram/wElement/etimerattr.h \
    wProgramManager/wEditProgram/wElement/eweather.h \
    wProgramManager/wEditProgram/wElement/eweatherattr.h \
    wProgramManager/wEditProgram/wElement/ewindow.h \
    wProgramManager/wEditProgram/wElement/ewindowattr.h \
    wProgramManager/wEditProgram/wElement/fyxcircleprogress.h \
    wProgramManager/wEditProgram/wElement/imagecutwidget.h \
    wProgramManager/wEditProgram/wElement/qffwidget.h \
    wProgramManager/wEditProgram/wElement/videodec.h \
    wProgramManager/wEditProgram/wattrview.h \
    wProgramManager/wEditProgram/wpageattr.h \
    wProgramManager/wEditProgram/wpageitem.h \
    wProgramManager/wEditProgram/wpageitemwidget.h \
    wProgramManager/wEditProgram/wplanitem.h \
    wProgramManager/wEditProgram/wplanlist.h \
    wProgramManager/wexportprogramitem.h \
    wProgramManager/wnewprogram.h \
    LoQClass/loqdialog.h \
    LoQClass/loqpushbutton.h \
    wProgramManager/weditprogram.h \
    LoQClass/loqmainwindow.h \
    LoQClass/loqtitlebar.h \
    LoQClass/loqwindowtitlebar.h \
    wProgramManager/wEditProgram/wmaintoolbar.h \
    wProgramManager/wEditProgram/wpagelist.h \
    wProgramManager/wEditProgram/wdrawingboard.h \
    wProgramManager/wprogramitem.h \
    wProgramManager/wprogrampublishitem.h \
    wProgramManagerA/wprogramitema.h

FORMS += \
    ColorDialog/ColorDialog.ui \
    LoUIClass/aboutdlg.ui \
    LoUIClass/changepasswordform.ui \
    LoUIClass/loemptydialog.ui \
    LoUIClass/louimsgboxokcancel.ui \
    LoUIClass/pixbmpshowdialog.ui \
    LoUIClass/softconfigdialog.ui \
    LoUIClass/updateledset3dialog.ui \
    LoUIClass/updaterdialog.ui \
    LoUIClass/updaterfirmwaredialog.ui \
    LoUIClass/x_uimsgboxok.ui \
    LoUIClass/x_uimsgboxokcancel.ui \
    LoUIClass/x_uimsgboxonlyclosebtn.ui \
    LoUIClass/x_uimsgboxyesnocancel.ui \
        mainwindow.ui \
    mdevicemanager.ui \
    mdevicesetting.ui \
    mguangyingpinwidget.ui \
    mprogrammanager.ui \
    mprogrammanagera.ui \
    publishform.ui \
    tipdialog.ui \
    wDevicesManager/controladvparamwidget.ui \
    wDevicesManager/controlbrightnessautowidget.ui \
    wDevicesManager/controlbrightnessmanualwidget.ui \
    wDevicesManager/controlbrightnessschedule.ui \
    wDevicesManager/controlbrightnessscheduleedit.ui \
    wDevicesManager/controlbrightnesswidget.ui \
    wDevicesManager/controlencryptwidget.ui \
    wDevicesManager/controlhdmimanual.ui \
    wDevicesManager/controlhdmischedule.ui \
    wDevicesManager/controlhdmiwidget.ui \
    wDevicesManager/controlnetconfigwidget.ui \
    wDevicesManager/controlpowermanual.ui \
    wDevicesManager/controlpowerschedule.ui \
    wDevicesManager/controlpowerwidget.ui \
    wDevicesManager/controltestwidget.ui \
    wDevicesManager/controlverifyclockwidget.ui \
    wDevicesManager/controlvolumemanual.ui \
    wDevicesManager/controlvolumeschedule.ui \
    wDevicesManager/controlvolumewidget.ui \
    wDevicesManager/devicescontrollwidget.ui \
    wDevicesManager/inputpassworddialog.ui \
    wDevicesManager/specialdlg.ui \
    wDevicesManager/subspecifyip.ui \
    wDevicesManager/subspecifyiprange.ui \
    wDevicesManager/upgradeapkdialog.ui \
    wProgramManager/sendprogramdialog.ui \
    wProgramManager/usbdetectdialog.ui \
    wProgramManager/usbdiskfuncdialog.ui \
    wProgramManager/wEditProgram/wElement/eaclockattr.ui \
    wProgramManager/wEditProgram/wElement/edclockattr.ui \
    wProgramManager/wEditProgram/wElement/egifattr.ui \
    wProgramManager/wEditProgram/wElement/emovieattr.ui \
    wProgramManager/wEditProgram/wElement/eobjectattr.ui \
    wProgramManager/wEditProgram/wElement/ephotoattr.ui \
    wProgramManager/wEditProgram/wElement/etempattr.ui \
    wProgramManager/wEditProgram/wElement/etextattr.ui \
    wProgramManager/wEditProgram/wElement/etextflipattr.ui \
    wProgramManager/wEditProgram/wElement/etextinput.ui \
    wProgramManager/wEditProgram/wElement/etextscrollattr.ui \
    wProgramManager/wEditProgram/wElement/etextstaticattr.ui \
    wProgramManager/wEditProgram/wElement/etimerattr.ui \
    wProgramManager/wEditProgram/wElement/eweatherattr.ui \
    wProgramManager/wEditProgram/wElement/ewindowattr.ui \
    wProgramManager/wEditProgram/wElement/imagecutwidget.ui \
    wProgramManager/wEditProgram/wElement/qffwidget.ui \
    wProgramManager/wEditProgram/wattrview.ui \
    wProgramManager/wEditProgram/wpageattr.ui \
    wProgramManager/wEditProgram/wpageitemwidget.ui \
    wProgramManager/wEditProgram/wplanitem.ui \
    wProgramManager/wnewprogram.ui \
    wProgramManager/weditprogram.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    qss/00_Common.css \
    qss/01_Global.css \
    qss/10_MainWindow.css \
    qss/11_MainWindowTab.css \
    qss/20_DeviceManager.css \
    qss/21_DeviceSetting.css \
    qss/30_ProgramManager.css \
    qss/31_EditProgram.css \
    qss/32_PageAttr.css \
    qss/33_EWindow.css \
    qss/MainWnd.css \
    qss/MainTab.css \
    qss/TabDeviceManager.css \
    qss/TabProgramManager.css \
    qss/TabPMEditProgram.css \
    res/Logo.ico

RESOURCES += \
    icons.qrc \
    images.qrc \
    languages.qrc \
    qss.qrc

TRANSLATIONS += Languages/zhCN.ts Languages/enUS.ts Languages/jaJP.ts Languages/zhTH.ts

#DEFINES += QT_NO_CAST_FROM_ASCII

win32:RC_ICONS = res/Logo.ico
osx:ICON = res/Logo.icns

INCLUDEPATH += $$PWD/include
win32 {
    LIBS += -L$$PWD/lib -lquazip
}
win64 {
    LIBS += -L$$PWD/lib64 -lquazip
}
win32 {
INCLUDEPATH += $$PWD/ffmpeg-4.2.2-win32-dev/include
LIBS += $$PWD/ffmpeg-4.2.2-win32-dev/lib/avformat.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avcodec.lib    \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avdevice.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avfilter.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/avutil.lib     \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/postproc.lib   \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/swresample.lib \
        $$PWD/ffmpeg-4.2.2-win32-dev/lib/swscale.lib
}

include(./JQLibrary/JQLibrary.pri)
include(./QSimpleUpdater/QSimpleUpdater.pri)

#QMAKE_CXXFLAGS_RELEASE += -g
#QMAKE_CFLAGS_RELEASE += -g
#QMAKE_LFLAGS_RELEASE = -mthreads -Wl,#其中最后的逗号注意添加，如果不添加可能编译不过
##禁止优化
#QMAKE_CFLAGS_RELEASE -= -O2
#QMAKE_CXXFLAGS_RELEASE -= -O2

#QMAKE_CXXFLAGS_RELEASE += -g




#QMAKE_CFLAGS_RELEASE += -g
#QMAKE_LFLAGS_RELEASE = -mthreads -W
#LIBS += -ldbghelp
#QMAKE_CXXFLAGS_RELEASE = $$QMAKE_CFLAGS_RELEASE_WITH_DEBUGINFO
#QMAKE_LFLAGS_RELEASE = $$QMAKE_LFLAGS_RELEASE_WITH_DEBUGINFO
#QMAKE_LFLAGS_RELEASE += /MAP /DEBUG /opt:ref /INCREMENTAL:NO
#QMAKE_LFLAGS_RELEASE = /INCREMENTAL:NO /DEBUG
#INCLUDEPATH +="G:\Dev\QT\LedOK-master\LedOK-master\ffmpeg\include"
#INCLUDEPATH +="G:\Dev\QT\LedOK-master\LedOK-master\sdl\include"

#LIBS += -Lffmpeg/Lib/ffmpeg/lib -lavutil -lavformat -lavcodec -lavdevice -lavfilter -lpostproc -lswresample -lswscale
#LIBS += -LG:\Dev\QT\LedOK-master\LedOK-master\ffmpeg\lib -lavutil -lavformat -lavcodec -lavdevice -lavfilter -lpostproc -lswresample -lswscale
#LIBS += -LG:\Dev\QT\LedOK-master\LedOK-master\sdl\lib -lSDL2

#RC_FILE=main.rc


unix|win32: LIBS += -L$$PWD/wProgramManager/wEditProgram/wElement/mpv/ -llibmpv.dll

INCLUDEPATH += $$PWD/wProgramManager/wEditProgram/wElement/mpv
DEPENDPATH += $$PWD/wProgramManager/wEditProgram/wElement/mpv

LIBS += -L$$PWD/../ffmpeg/lib/\
        -lavcodec \
        -lavdevice \
        -lavfilter \
        -lavformat \
        -lavutil \
        -lswresample \
        -lswscale\

#SDL2
LIBS += -L$$PWD/../SDL2/lib/\
        -lSDL2
INCLUDEPATH += $$PWD/../ffmpeg/include \
               $$PWD/../SDL2/include
