﻿#ifndef MDEVICESETTING_H
#define MDEVICESETTING_H

#include <QWidget>
#include <QStyleOption>
#include <QPainter>
#include <QGridLayout>

#include <QPushButton>
#include <QButtonGroup>
namespace Ui {
class mDeviceSetting;
}

class mDeviceSetting : public QWidget
{
    Q_OBJECT

public:
    explicit mDeviceSetting(QWidget *parent = nullptr);
    ~mDeviceSetting();
public:
    virtual void paintEvent(QPaintEvent *);
public:
    void refreshLable();
private:
    Ui::mDeviceSetting *ui;
    QPushButton *bnBrightnessAdjustMent = nullptr ;
    QPushButton *bnPowerControl = nullptr;
    QPushButton *bnNetConfig = nullptr;
    QPushButton *bnVerifyClock = nullptr;
    QPushButton *bnHdmiInput = nullptr;
    QPushButton *bnEncrypt = nullptr;
    QPushButton *bnAdvParam = nullptr;
    QPushButton *bnVolume = nullptr;
    QPushButton *bnTest = nullptr;
    QPushButton *bnLora = nullptr;

    QButtonGroup *m_bns = nullptr;
};


#endif // MDEVICESETTING_H
