﻿#ifndef SPECIALDLG_H
#define SPECIALDLG_H

#include <LoQClass/loqdialog.h>
#include <QStackedWidget>
#include "LoUIClass/qiplineedit.h"
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <wDevicesManager/subspecifyip.h>
#include <wDevicesManager/subspecifyiprange.h>
#include <communication/network.h>
namespace Ui {
class SpecialDlg;
}

class SpecialDlg : public LoQDialog
{
    Q_OBJECT

public:
    explicit SpecialDlg(QWidget *parent = nullptr,NetComm *p=nullptr);
    ~SpecialDlg();

private:
    Ui::SpecialDlg *ui;
    QStackedWidget *m_pStackedW;
    SubSpecifyIp *m_pSubSpecifyIp;
    SubSpecifyIpRange *m_pSubSpecifyIpRange;
    NetComm *pNetComm;
signals:
    void sigGetSpecialIp(LedCard *);

protected slots:
    void OnSearch();

    void OnGetSpecialIp(LedCard *);
};

#endif // SPECIALDLG_H
